UNAME(2)

NAME
uname - get system info

SYNOPSIS
#include <sys/utsname.h>
int uname(struct utsname *name)

DESCRIPTION
Uname() fills a struct utsname with system information. This structure is described in <sys/utsname.h> as follows:

struct utsname {
	char	sysname[15+1];		/* System name */
	char	nodename[255+1];	/* Node/Network name */
	char	release[11+1];		/* O.S. release */
	char	version[7+1];		/* O.S. version */
	char	machine[11+1];		/* Machine hardware */
	char	arch[11+1];		/* Architecture */
};

The strings are always null terminated, and may be of a different length then shown here. The first five are required by POSIX, the last is Minix specific.

SEE ALSO
uname(1).

AUTHOR
Kees J. Bot (kjb@cs.vu.nl)